<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>

<div id="main" class="main fl" role="main">
    <article class="post" itemscope itemtype="http://schema.org/BlogPosting">
        <h1 class="post-title" itemprop="name headline">
            <a itemprop="url"
               href="<?php $this->permalink() ?>"><?php $this->title() ?></a>
        </h1>
        <ul class="post-meta">
            <li itemprop="author" itemscope itemtype="http://schema.org/Person">
                <?php _e('作者: '); ?><a itemprop="name" href="<?php $this->author->permalink(); ?>" rel="author"><?php $this->author(); ?></a>
            </li>
            <li><?php _e('时间: '); ?>
                <time datetime="<?php $this->date('c'); ?>" itemprop="datePublished"><?php $this->date(); ?></time>
            </li>
            <li><?php _e('分类: '); ?><?php $this->category(','); ?></li>
        </ul>
        <div class="post-content" itemprop="articleBody">
            <?php $this->content(); ?>
        </div>
        <p itemprop="keywords" class="tags"><?php _e('标签: '); ?><?php $this->tags(', ', true, 'none'); ?></p>
    </article>
    
    <?php $this->related(8,'author')->to($relatedPosts); ?>
    <?php if ($relatedPosts->have()){ ?>
    <div class="relative">
    <h3 class="relative-title"><span>相关文章</span></h3>
    <?php while ($relatedPosts->next()): ?>
    <article class="post" itemscope itemtype="http://schema.org/BlogPosting">
        <?php if(showThumb($relatedPosts) != ''){ ?><div class="fm"><img src="<?php echo showThumb($relatedPosts); ?>"></div><?php }?>
        <div class="post-text">
        <h2 class="post-title" itemprop="name headline"><a itemprop="url" href="<?php $relatedPosts->permalink() ?>"><?php $relatedPosts->title() ?></a></h2>
        <div class="post-content" itemprop="articleBody"><?php $relatedPosts->excerpt(100, '...');?></div>
        </div>
    </article>
    <?php endwhile; ?>
    </div>
    <?php } ?>

    <?php $this->need('comments.php'); ?>

    <ul class="post-near">
        <li>上一篇: <?php $this->thePrev('%s', '没有了'); ?></li>
        <li>下一篇: <?php $this->theNext('%s', '没有了'); ?></li>
    </ul>
</div><!-- end #main-->

<?php $this->need('sidebar.php'); ?>
<?php $this->need('footer.php'); ?>
